<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Rendu SVG piloté par le réseau: Référence du fichier include/module/aritmetique.hpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Rendu SVG piloté par le réseau
   &#160;<span id="projectnumber">v1.0</span>
   </div>
   <div id="projectbrief">Projet informatique de Licence 3 ingénerie informatique</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_dc1aacf9e28ad733d01de42bc03b5008.html">module</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#typedef-members">Définitions de type</a> &#124;
<a href="#func-members">Fonctions</a>  </div>
  <div class="headertitle">
<div class="title">Référence du fichier aritmetique.hpp</div>  </div>
</div><!--header-->
<div class="contents">

<p>Module de calcul d'espression arithmétique.  
<a href="#details">Plus de détails...</a></p>
<div class="textblock"><code>#include &lt;stdlib.h&gt;</code><br />
<code>#include &lt;stdio.h&gt;</code><br />
<code>#include &lt;regex&gt;</code><br />
<code>#include &lt;string&gt;</code><br />
<code>#include &quot;lib/exprtk.hpp&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Ce graphe montre quels fichiers incluent directement ou indirectement ce fichier :</div>
<div class="dyncontent">
<div class="center"><img src="aritmetique_8hpp__dep__incl.png" border="0" usemap="#include_2module_2aritmetique_8hppdep" alt=""/></div>
<map name="include_2module_2aritmetique_8hppdep" id="include_2module_2aritmetique_8hppdep">
<area shape="rect" id="node2" href="socket_8hpp.html" title="Classe de la socket du serveur général. " alt="" coords="23,80,190,107"/>
<area shape="rect" id="node3" href="serveur_8hpp.html" title="Classe du serveur général. " alt="" coords="21,155,192,181"/>
</map>
</div>
</div>
<p><a href="aritmetique_8hpp_source.html">Aller au code source de ce fichier.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Définitions de type</h2></td></tr>
<tr class="memitem:a634f2e2245ac87de466e2810dee4f841"><td class="memItemLeft" align="right" valign="top">typedef double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="aritmetique_8hpp.html#a634f2e2245ac87de466e2810dee4f841">T</a></td></tr>
<tr class="separator:a634f2e2245ac87de466e2810dee4f841"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2f8e438a8ab3d889f26822a7f1df788"><td class="memItemLeft" align="right" valign="top">typedef exprtk::symbol_table&lt; <a class="el" href="aritmetique_8hpp.html#a634f2e2245ac87de466e2810dee4f841">T</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="aritmetique_8hpp.html#aa2f8e438a8ab3d889f26822a7f1df788">symbol_table_t</a></td></tr>
<tr class="separator:aa2f8e438a8ab3d889f26822a7f1df788"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73b802b9a5f3550f9a410781124945ae"><td class="memItemLeft" align="right" valign="top">typedef exprtk::expression&lt; <a class="el" href="aritmetique_8hpp.html#a634f2e2245ac87de466e2810dee4f841">T</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="aritmetique_8hpp.html#a73b802b9a5f3550f9a410781124945ae">expression_t</a></td></tr>
<tr class="separator:a73b802b9a5f3550f9a410781124945ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af02e8f8655dabbd5b1b63849de45da8b"><td class="memItemLeft" align="right" valign="top">typedef exprtk::parser&lt; <a class="el" href="aritmetique_8hpp.html#a634f2e2245ac87de466e2810dee4f841">T</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="aritmetique_8hpp.html#af02e8f8655dabbd5b1b63849de45da8b">parser_t</a></td></tr>
<tr class="separator:af02e8f8655dabbd5b1b63849de45da8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Fonctions</h2></td></tr>
<tr class="memitem:a39fe9daa802da54bc524d7e249890fb8"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="aritmetique_8hpp.html#a39fe9daa802da54bc524d7e249890fb8">EvaluateArithmetic</a> (string value)</td></tr>
<tr class="memdesc:a39fe9daa802da54bc524d7e249890fb8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Méthode d'évaluation arithmétique.  <a href="#a39fe9daa802da54bc524d7e249890fb8">Plus de détails...</a><br /></td></tr>
<tr class="separator:a39fe9daa802da54bc524d7e249890fb8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Description détaillée</h2>
<div class="textblock"><p>Module de calcul d'espression arithmétique. </p>
<dl class="section author"><dt>Auteur</dt><dd>Arnaud Orlay (<a href="#" onclick="location.href='mai'+'lto:'+'arn'+'au'+'d.o'+'rl'+'ay@'+'et'+'u.u'+'ni'+'v-o'+'rl'+'ean'+'s.'+'fr'; return false;">arnau<span style="display: none;">.nosp@m.</span>d.or<span style="display: none;">.nosp@m.</span>lay@e<span style="display: none;">.nosp@m.</span>tu.u<span style="display: none;">.nosp@m.</span>niv-o<span style="display: none;">.nosp@m.</span>rlea<span style="display: none;">.nosp@m.</span>ns.fr</a>) </dd>
<dd>
Erwan Aubry (<a href="#" onclick="location.href='mai'+'lto:'+'erw'+'an'+'.au'+'br'+'y@e'+'tu'+'.un'+'iv'+'-or'+'le'+'ans'+'.f'+'r'; return false;">erwan<span style="display: none;">.nosp@m.</span>.aub<span style="display: none;">.nosp@m.</span>ry@et<span style="display: none;">.nosp@m.</span>u.un<span style="display: none;">.nosp@m.</span>iv-or<span style="display: none;">.nosp@m.</span>lean<span style="display: none;">.nosp@m.</span>s.fr</a>) </dd>
<dd>
Marion Juré (<a href="#" onclick="location.href='mai'+'lto:'+'mar'+'io'+'n.j'+'ur'+'e@e'+'tu'+'.un'+'iv'+'-or'+'le'+'ans'+'.f'+'r'; return false;">mario<span style="display: none;">.nosp@m.</span>n.ju<span style="display: none;">.nosp@m.</span>re@et<span style="display: none;">.nosp@m.</span>u.un<span style="display: none;">.nosp@m.</span>iv-or<span style="display: none;">.nosp@m.</span>lean<span style="display: none;">.nosp@m.</span>s.fr</a>) </dd></dl>
<dl class="section version"><dt>Version</dt><dd>0.1 </dd></dl>
<dl class="section date"><dt>Date</dt><dd>2020-03-25</dd></dl>
<dl class="section copyright"><dt>Copyright</dt><dd>Copyright (c) 2020 </dd></dl>

<p class="definition">Définition dans le fichier <a class="el" href="aritmetique_8hpp_source.html">aritmetique.hpp</a>.</p>
</div><h2 class="groupheader">Documentation des définitions de type</h2>
<a id="a73b802b9a5f3550f9a410781124945ae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a73b802b9a5f3550f9a410781124945ae">&#9670;&nbsp;</a></span>expression_t</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef exprtk::expression&lt;<a class="el" href="aritmetique_8hpp.html#a634f2e2245ac87de466e2810dee4f841">T</a>&gt; <a class="el" href="aritmetique_8hpp.html#a73b802b9a5f3550f9a410781124945ae">expression_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="aritmetique_8hpp_source.html#l00040">40</a> du fichier <a class="el" href="aritmetique_8hpp_source.html">aritmetique.hpp</a>.</p>

</div>
</div>
<a id="af02e8f8655dabbd5b1b63849de45da8b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af02e8f8655dabbd5b1b63849de45da8b">&#9670;&nbsp;</a></span>parser_t</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef exprtk::parser&lt;<a class="el" href="aritmetique_8hpp.html#a634f2e2245ac87de466e2810dee4f841">T</a>&gt; <a class="el" href="aritmetique_8hpp.html#af02e8f8655dabbd5b1b63849de45da8b">parser_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="aritmetique_8hpp_source.html#l00041">41</a> du fichier <a class="el" href="aritmetique_8hpp_source.html">aritmetique.hpp</a>.</p>

</div>
</div>
<a id="aa2f8e438a8ab3d889f26822a7f1df788"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa2f8e438a8ab3d889f26822a7f1df788">&#9670;&nbsp;</a></span>symbol_table_t</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef exprtk::symbol_table&lt;<a class="el" href="aritmetique_8hpp.html#a634f2e2245ac87de466e2810dee4f841">T</a>&gt; <a class="el" href="aritmetique_8hpp.html#aa2f8e438a8ab3d889f26822a7f1df788">symbol_table_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="aritmetique_8hpp_source.html#l00039">39</a> du fichier <a class="el" href="aritmetique_8hpp_source.html">aritmetique.hpp</a>.</p>

</div>
</div>
<a id="a634f2e2245ac87de466e2810dee4f841"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a634f2e2245ac87de466e2810dee4f841">&#9670;&nbsp;</a></span>T</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef double <a class="el" href="aritmetique_8hpp.html#a634f2e2245ac87de466e2810dee4f841">T</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="aritmetique_8hpp_source.html#l00038">38</a> du fichier <a class="el" href="aritmetique_8hpp_source.html">aritmetique.hpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Documentation des fonctions</h2>
<a id="a39fe9daa802da54bc524d7e249890fb8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a39fe9daa802da54bc524d7e249890fb8">&#9670;&nbsp;</a></span>EvaluateArithmetic()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string EvaluateArithmetic </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Méthode d'évaluation arithmétique. </p>
<p>La méthode permet de traduire une expression arithmétique sous forme de string en un résultat de l'expression. Par exemple si on a "4 + 4" la fonction retournera "8.0"</p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>L'expression arithmétique </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>string Le résultat de l'expression </dd></dl>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
